"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_navigation_1 = require("react-navigation");
const react_navigation_stack_1 = require("react-navigation-stack");
const Scene_1 = __importDefault(require("../screens/Scene"));
const BodyDetails_1 = __importDefault(require("../screens/BodyDetails"));
// import SizeDetails from '../screens/SizeDetails'
const react_navigation_2 = require("react-navigation");
class StackNavigator extends react_1.Component {
    constructor(props) {
        console.log("🚀 ~ file: index.js ~ line 12 ~ StackNavigator ~ constructor ~ props", props);
        super(props);
        this.AppContainer = (0, react_navigation_1.createAppContainer)((0, react_navigation_stack_1.createStackNavigator)({
            Scene: {
                screen: (props) => {
                    return react_1.default.createElement(Scene_1.default, Object.assign({}, props, { ownProps: this.props, closePopup: this.props.closePopup }));
                }
            },
            BodyDetails: { screen: BodyDetails_1.default }
            // SizeDetails: { screen: SizeDetails }
        }, {
            initialRouteName: 'Scene',
            initialRouteParams: { ownProps: this.props },
            headerMode: 'none',
            navigationOptions: {
                headerVisible: false
            }
        }));
    }
    componentWillReceiveProps(nextProps) {
        if (this.navigator) {
            const routes = this.navigator.state.nav.routes;
            let rootScreenKey;
            routes.some((route) => {
                if (route.routeName === 'Scene') {
                    rootScreenKey = route.key;
                    return true;
                }
                return false;
            });
            const setParamsAction = react_navigation_2.NavigationActions.setParams({
                params: { ownProps: nextProps },
                key: rootScreenKey,
            });
            this.navigator.dispatch(setParamsAction);
        }
    }
    render() {
        return (react_1.default.createElement(this.AppContainer, { closePopup: () => this.props.closePopup(), ref: (nav) => {
                this.navigator = nav;
            } }));
    }
}
exports.default = StackNavigator;
//# sourceMappingURL=index.js.map